## sirikali 1.3.8

=== CMakeLists.txt ===
cmake_minimum_required( VERSION 3.0 )

set_property( GLOBAL PROPERTY ALLOW_DUPLICATE_CUSTOM_TARGETS ON )

project( sirikali )

set( PGR_VERSION "1.3.8" )

add_definitions( -Wextra -Wall -pedantic )

set( CMAKE_CXX_STANDARD 14 )
set( CMAKE_CXX_STANDARD_REQUIRED ON )
set( CMAKE_CXX_EXTENSIONS OFF)

include_directories( ${PROJECT_BINARY_DIR} )

INCLUDE( GNUInstallDirs )

# uninstall target
configure_file(
	"${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
	"${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
	IMMEDIATE @ONLY )

add_custom_target( uninstall
COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake )

INCLUDE(CMakeDependentOption)
INCLUDE(FindPkgConfig)

if( WIN32 )
    add_definitions( -D_DEFAULT_SOURCE )
else()
    add_definitions( -D_DEFAULT_SOURCE -fstack-protector-all --param ssp-buffer-size=4 )
endif()

include_directories( ${PROJECT_BINARY_DIR} )

if( LIB_SUFFIX )
	set( CMAKE_INSTALL_LIBDIR "${LIB_SUFFIX}" )
	set( CMAKE_INSTALL_FULL_LIBDIR "${CMAKE_INSTALL_PREFIX}/${LIB_SUFFIX}" )
endif()

pkg_check_modules( PWQUALITY pwquality )

if( PWQUALITY_FOUND )

	find_file( header_pwquality pwquality.h PATHS ${PWQUALITY_INCLUDE_DIRS} )
	find_library( library_pwquality pwquality )

	if( library_pwquality )
		if( header_pwquality )
			file( WRITE ${PROJECT_BINARY_DIR}/can_build_pwquality.h "#define BUILD_PWQUALITY 1\n" )
			file( APPEND ${PROJECT_BINARY_DIR}/can_build_pwquality.h "extern \"C\"\n{\n#include <${header_pwquality}>\n}" )
		else()
			file( WRITE ${PROJECT_BINARY_DIR}/can_build_pwquality.h "#define BUILD_PWQUALITY 0\n" )
		endif()
	else( library_pwquality )
		file( WRITE ${PROJECT_BINARY_DIR}/can_build_pwquality.h "#define BUILD_PWQUALITY 0\n" )
	endif()
else()
	file( WRITE ${PROJECT_BINARY_DIR}/can_build_pwquality.h "#define BUILD_PWQUALITY 0\n" )
endif()

if( APPLE )
        file( WRITE ${PROJECT_BINARY_DIR}/locale_path.h "\n#define TRANSLATION_PATH \"${CMAKE_INSTALL_PREFIX}/sirikali.app/Contents/Resources/\"\n")
else()
	file( WRITE ${PROJECT_BINARY_DIR}/locale_path.h "\n#define TRANSLATION_PATH \"${CMAKE_INSTALL_FULL_DATADIR}/sirikali/translations/\"\n")
endif()

file( WRITE  ${PROJECT_BINARY_DIR}/install_prefix.h "\n#define INSTALL_PREFIX \"${CMAKE_INSTALL_PREFIX}/\"\n" )

if( NOT DEFINED INTERNAL_LXQT_WALLET )
	set( INTERNAL_LXQT_WALLET "false" )
endif()

if( DEFINED QT5 AND NOT QT5 )
	message( FATAL_ERROR "Qt4 Build is no longer supported" )
endif()

set( QT5 "true" )

find_file( JSON_HEADER_PATH "nlohmann/json.hpp" )

if( NOT JSON_HEADER_PATH )
	set( JSON_HEADER_PATH "${PROJECT_SOURCE_DIR}/src/3rdParty/json/nlohmann/json.hpp" )
endif()

file( WRITE ${PROJECT_BINARY_DIR}/json.h "\n#include \"${JSON_HEADER_PATH}\"" )
MESSAGE( STATUS "found json.hpp header file at: ${JSON_HEADER_PATH}" )

if( WIN32 )
    set( INTERNAL_LXQT_WALLET "true" )
else()

    find_file( GCRYPT_INCLUDE_FILE gcrypt.h )
    find_path( GCRYPT_INCLUDE_PATH gcrypt.h )

    add_definitions( -I${GCRYPT_INCLUDE_PATH} )

    find_library( GCRYPT_LIBRARY gcrypt )

    if( NOT GCRYPT_INCLUDE_FILE )
            MESSAGE( FATAL_ERROR "could not find gcrypt header file" )
    else()
            MESSAGE( STATUS "found gcrypt header file at: ${GCRYPT_INCLUDE_FILE}" )
    endif()

    if( NOT GCRYPT_LIBRARY )
            MESSAGE( FATAL_ERROR "could not find gcrypt library" )
    else()
            get_filename_component( GCRYPT_LIBRARY_PATH ${GCRYPT_LIBRARY} DIRECTORY )

            MESSAGE( STATUS "found gcrypt library at: ${GCRYPT_LIBRARY}" )
            MESSAGE( STATUS "adding library search path of: ${GCRYPT_LIBRARY_PATH}" )

    endif()
endif()

find_package( Qt5Widgets REQUIRED )
find_package( Qt5Core REQUIRED )
find_package( Qt5Network REQUIRED )

message( STATUS "Found Qt5Widgets, version  ${Qt5Widgets_VERSION}" )
message( STATUS "Found Qt5Core, version  ${Qt5Core_VERSION}" )
message( STATUS "Found Qt5Network, version  ${Qt5Network_VERSION}" )

file( WRITE ${PROJECT_BINARY_DIR}/version.h "
#ifndef THIS_VERSION
#define THIS_VERSION \"${PGR_VERSION}\"
#endif
\n
#ifndef SIRIKALI_VERSION
#define SIRIKALI_VERSION
#define VERSION_STRING \"Version  : ${PGR_VERSION} (Compiled with Qt ${Qt5Core_VERSION})\\nCopyright: 2016-2019 Francis Banyikwa,mhogomchungu@gmail.com\\nLicense  : GPLv2+\"
#endif
\n" )

pkg_check_modules( MCHUNGU_NETWORK mhogomchungu_network )
pkg_check_modules( MCHUNGU_TASK mhogomchungu_task )

if( INTERNAL_LXQT_WALLET )

        if( WIN32 )
                message( STATUS "---------------------------------------------------------------------------" )
                message( STATUS "lxqt wallet support is disabled on Windows" )
                message( STATUS "---------------------------------------------------------------------------" )
        else()
                message( STATUS "---------------------------------------------------------------------------" )
                message( STATUS "lxqt wallet support will be provided by an internal library" )
                message( STATUS "---------------------------------------------------------------------------" )
        endif()

	ADD_SUBDIRECTORY( src/3rdParty/lxqt_wallet )
	include_directories( ${PROJECT_SOURCE_DIR}/src/3rdParty/lxqt_wallet/frontend )
	include_directories( ${PROJECT_BINARY_DIR}/src/3rdParty/lxqt_wallet/frontend )
else()
	pkg_check_modules( LXQT_WALLET lxqt-wallet )

	if( NOT LXQT_WALLET_FOUND )

		message( STATUS "ERROR: could not find lxqt_wallet package" )
		message( STATUS "---------------------------------------------------------------------------" )
		message( STATUS "lxqt wallet support will be provided by an internal library" )
		message( STATUS "---------------------------------------------------------------------------" )

		ADD_SUBDIRECTORY( src/3rdParty/lxqt_wallet )
		include_directories( ${PROJECT_SOURCE_DIR}/src/3rdParty/lxqt_wallet/frontend )
		include_directories( ${PROJECT_BINARY_DIR}/src/3rdParty/lxqt_wallet/frontend )
	else()
		if( LXQT_WALLET_VERSION VERSION_GREATER "3.0.0" AND QT5 )

			include_directories( ${LXQT_WALLET_INCLUDEDIR} )
			link_directories( ${LXQT_WALLET_LIBDIR} )

			message( STATUS "---------------------------------------------------------------------------" )
			message( STATUS "lxqt wallet support will be provided by an external library" )
			message( STATUS "---------------------------------------------------------------------------" )
		else()
			message( STATUS "---------------------------------------------------------------------------" )
			message( STATUS "lxqt wallet support will be provided by an internal library" )
			message( STATUS "because external library is too old(<= 2.0.0) or cant build " )
			message( STATUS "with external lxqt_wallet while building with Qt4" )
			message( STATUS "---------------------------------------------------------------------------" )

			ADD_SUBDIRECTORY( src/3rdParty/lxqt_wallet )
			include_directories( ${PROJECT_SOURCE_DIR}/src/3rdParty/lxqt_wallet/frontend )
			include_directories( ${PROJECT_BINARY_DIR}/src/3rdParty/lxqt_wallet/frontend )
		endif()
	endif()
endif()

if( MCHUNGU_NETWORK_FOUND )

	message( STATUS "---------------------------------------------------------------------------" )
	message( STATUS "mhogomchungu_network library will be provided by an external library" )
	message( STATUS "---------------------------------------------------------------------------" )

	include_directories( "${MCHUNGU_NETWORK_INCLUDEDIR}" )
	link_directories( "${MCHUNGU_NETWORK_LIBDIR}" )
else()
	message( STATUS "---------------------------------------------------------------------------" )
	message( STATUS "mhogomchungu_network library will be provided by an internal library" )
	message( STATUS "---------------------------------------------------------------------------" )
	ADD_SUBDIRECTORY( src/3rdParty/NetworkAccessManager )
	include_directories( src/3rdParty/NetworkAccessManager )
endif()

if( MCHUNGU_TASK_FOUND )

	message( STATUS "---------------------------------------------------------------------------" )
	message( STATUS "mhogomchungu_task library will be provided by an external library" )
	message( STATUS "---------------------------------------------------------------------------" )

	include_directories( "${MCHUNGU_TASK_INCLUDEDIR}" )
	link_directories( "${MCHUNGU_TASK_LIBDIR}" )
else()
	message( STATUS "---------------------------------------------------------------------------" )
	message( STATUS "mhogomchungu_task library will be provided by an internal library" )
	message( STATUS "---------------------------------------------------------------------------" )
	include_directories( src/3rdParty/tasks )
	ADD_SUBDIRECTORY( src/3rdParty/tasks )
endif()

add_definitions( -std=c++14 )

set( UI_FILES 	src/sirikali.ui
		src/keydialog.ui
		src/dialogmsg.ui
		src/plugin.ui
		src/favorites.ui
		src/favorites2.ui
		src/readonlywarning.ui
		src/walletconfig.ui
		src/walletconfiginput.ui
		src/options.ui
		src/dialogok.ui
		src/help.ui
		src/filemanager.ui
		src/debugwindow.ui
		src/configfileoption.ui
		src/configoptions.ui
		src/engines/gocryptfscreateoptions.ui
		src/engines/ecryptfscreateoptions.ui
		src/engines/securefscreateoptions.ui
		src/engines/encfscreateoptions.ui
		src/engines/cryfscreateoptions.ui
)

set( MOC_FILES
                src/configoptions.h
                src/configfileoption.h
                src/checkforupdates.h
                src/dialogok.h
                src/help.h
		src/sirikali.h
		src/keydialog.h
		src/oneinstance.h
		src/dialogmsg.h
		src/plugin.h
		src/favorites.h
		src/favorites2.h
		src/readonlywarning.h
		src/walletconfig.h
		src/walletconfiginput.h
		src/options.h
		src/filemanager.h
		src/mountinfo.h
		src/debugwindow.h
		src/engines/gocryptfscreateoptions.h
		src/engines/ecryptfscreateoptions.h
		src/engines/securefscreateoptions.h
		src/engines/encfscreateoptions.h
		src/engines/cryfscreateoptions.h
 )

set( SRC 	src/dialogok.cpp
		src/main.cpp
		src/systemsignalhandler.cpp
		src/crypto.cpp
		src/debugwindow.cpp
		src/configoptions.cpp
		src/configfileoption.cpp
		src/sirikali.cpp
		src/keydialog.cpp
		src/siritask.cpp
		src/help.cpp
		src/engines.cpp
		src/oneinstance.cpp
		src/mountinfo.cpp
		src/utility.cpp
		src/dialogmsg.cpp
		src/favorites.cpp
		src/favorites2.cpp
		src/checkforupdates.cpp
		src/plugin.cpp
		src/tablewidget.cpp
		src/readonlywarning.cpp
		src/walletconfig.cpp
		src/walletconfiginput.cpp
		src/options.cpp
		src/secrets.cpp
		src/filemanager.cpp
		src/utility2.cpp
                src/win.cpp
		src/settings.cpp
		src/engines/cryfs.cpp
		src/engines/ecryptfs.cpp
		src/engines/gocryptfs.cpp
		src/engines/securefs.cpp
		src/engines/sshfs.cpp
		src/engines/encfs.cpp
		src/engines/unknown.cpp
		src/engines/gocryptfscreateoptions.cpp
		src/engines/ecryptfscreateoptions.cpp
		src/engines/securefscreateoptions.cpp
		src/engines/encfscreateoptions.cpp
		src/engines/cryfscreateoptions.cpp
)

if( APPLE )

	SET( MACOSX_BUNDLE_INFO_PLIST "${CMAKE_CURRENT_SOURCE_DIR}/src/MacOSXBundleInfo.plist.in" )
	SET( MACOSX_BUNDLE_BUNDLE_NAME "SiriKali" )
	SET( MACOSX_BUNDLE_COPYRIGHT "(c)2016-2018,Francis Banyikwa,mhogomchungu@gmail.com" )
	SET( MACOSX_BUNDLE_BUNDLE_VERSION "${PGR_VERSION}" )
	SET( MACOSX_BUNDLE_GUI_IDENTIFIER "com.crypto.SiriKali" )
	SET( MACOSX_BUNDLE_SHORT_VERSION_STRING "${PGR_VERSION}" )
	SET( MACOSX_BUNDLE_LONG_VERSION_STRING "${PGR_VERSION}" )
	SET( MACOSX_BUNDLE_ICON_FILE sirikali.icns )
	SET_SOURCE_FILES_PROPERTIES( icons/256x256/sirikali.icns PROPERTIES MACOSX_PACKAGE_LOCATION Resources )
	SET_SOURCE_FILES_PROPERTIES( translations/en_US.qm PROPERTIES MACOSX_PACKAGE_LOCATION Resources )
	SET_SOURCE_FILES_PROPERTIES( translations/fr_FR.qm PROPERTIES MACOSX_PACKAGE_LOCATION Resources )
endif()

set( CMAKE_INCLUDE_CURRENT_DIR ON )
include_directories( ${Qt5Widgets_INCLUDE_DIRS} )
include_directories( ${Qt5Network_INCLUDE_DIRS} )

add_definitions( ${Qt5Widgets_DEFINITIONS} )

QT5_WRAP_UI( UI ${UI_FILES} )
QT5_WRAP_CPP( MOC ${MOC_FILES} )

=== debian/changelog ===
sirikali (1.3.8-2) unstable; urgency=medium

  * Source-only upload.

 -- David Steele <steele@debian.org>  Sat, 27 Jul 2019 21:56:52 -0400

sirikali (1.3.8-1) unstable; urgency=medium

  * New upstream version.

 -- David Steele <steele@debian.org>  Sat, 13 Jul 2019 22:20:56 -0400

=== debian/rules ===
#!/usr/bin/make -f

export DH_OPTIONS

PKD = $(word 1,$(abspath $(dir $(MAKEFILE_LIST))))
VER = $(shell (dpkg-parsechangelog -l$(PKD)/changelog | grep Version | sed 's/Version..//' | sed 's/-.\+//'))
PRODUCT_VER = $(shell (grep version changelog | tail -1 |  sed 's/version \([0-9.]\+\).\+/\1/'))

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=RELEASE -DCMAKE_INSTALL_LIBDIR=lib/$(DEB_HOST_MULTIARCH) -DQT5=true  -DNOSECRETSUPPORT=false -DNOKDESUPPORT=true

override_dh_auto_build:
	if [ ${VER} != ${PRODUCT_VER} ] ; then exit 1 ; fi
	if ! grep -q \"${VER}\" ./src/sirikali.appdata.xml ; then exit 1 ; fi
	dh_auto_build

## sirikali 1.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,18 @@
 
 project( sirikali )
 
-set( PGR_VERSION "1.3.8" )
+set( PGR_VERSION "1.4.0" )
+
+file( WRITE ${PROJECT_BINARY_DIR}/version.h "
+#ifndef THIS_VERSION
+#define THIS_VERSION \"${PGR_VERSION}\"
+#endif
+\n
+#ifndef SIRIKALI_VERSION
+#define SIRIKALI_VERSION
+#define VERSION_STRING \"Version  : ${PGR_VERSION} (Compiled with Qt ${Qt5Core_VERSION})\\nCopyright: 2016-2019 Francis Banyikwa,mhogomchungu@gmail.com\\nLicense  : GPLv2+\"
+#endif
+\n" )
 
 add_definitions( -Wextra -Wall -pedantic )
 
@@ -125,17 +136,6 @@
 message( STATUS "Found Qt5Core, version  ${Qt5Core_VERSION}" )
 message( STATUS "Found Qt5Network, version  ${Qt5Network_VERSION}" )
 
-file( WRITE ${PROJECT_BINARY_DIR}/version.h "
-#ifndef THIS_VERSION
-#define THIS_VERSION \"${PGR_VERSION}\"
-#endif
-\n
-#ifndef SIRIKALI_VERSION
-#define SIRIKALI_VERSION
-#define VERSION_STRING \"Version  : ${PGR_VERSION} (Compiled with Qt ${Qt5Core_VERSION})\\nCopyright: 2016-2019 Francis Banyikwa,mhogomchungu@gmail.com\\nLicense  : GPLv2+\"
-#endif
-\n" )
-
 pkg_check_modules( MCHUNGU_NETWORK mhogomchungu_network )
 pkg_check_modules( MCHUNGU_TASK mhogomchungu_task )
 
@@ -228,7 +228,7 @@
 		src/keydialog.ui
 		src/dialogmsg.ui
 		src/plugin.ui
-		src/favorites.ui
+		src/createbackendwindow.ui
 		src/favorites2.ui
 		src/readonlywarning.ui
 		src/walletconfig.ui
@@ -240,6 +240,7 @@
 		src/debugwindow.ui
 		src/configfileoption.ui
 		src/configoptions.ui
+		src/engines/customcreateoptions.ui
 		src/engines/gocryptfscreateoptions.ui
 		src/engines/ecryptfscreateoptions.ui
 		src/engines/securefscreateoptions.ui
@@ -253,12 +254,12 @@
                 src/checkforupdates.h
                 src/dialogok.h
                 src/help.h
+                src/createbackendwindow.h
 		src/sirikali.h
 		src/keydialog.h
 		src/oneinstance.h
 		src/dialogmsg.h
 		src/plugin.h
-		src/favorites.h
 		src/favorites2.h
 		src/readonlywarning.h
 		src/walletconfig.h
@@ -267,6 +268,8 @@
 		src/filemanager.h
 		src/mountinfo.h
 		src/debugwindow.h
+		src/runinthread.h
+		src/engines/customcreateoptions.h
 		src/engines/gocryptfscreateoptions.h
 		src/engines/ecryptfscreateoptions.h
 		src/engines/securefscreateoptions.h
@@ -278,6 +281,7 @@
 		src/main.cpp
 		src/systemsignalhandler.cpp
 		src/crypto.cpp
+		src/runinthread.cpp
 		src/debugwindow.cpp
 		src/configoptions.cpp
 		src/configfileoption.cpp
@@ -285,6 +289,7 @@
 		src/keydialog.cpp
 		src/siritask.cpp
 		src/help.cpp
+		src/createbackendwindow.cpp
 		src/engines.cpp
 		src/oneinstance.cpp
 		src/mountinfo.cpp
@@ -309,8 +314,10 @@
 		src/engines/gocryptfs.cpp
 		src/engines/securefs.cpp
 		src/engines/sshfs.cpp
+		src/engines/customcreateoptions.cpp
 		src/engines/encfs.cpp
 		src/engines/unknown.cpp
+		src/engines/custom.cpp
 		src/engines/gocryptfscreateoptions.cpp
 		src/engines/ecryptfscreateoptions.cpp
 		src/engines/securefscreateoptions.cpp
@@ -333,11 +340,3 @@
 	SET_SOURCE_FILES_PROPERTIES( translations/fr_FR.qm PROPERTIES MACOSX_PACKAGE_LOCATION Resources )
 endif()
 
-set( CMAKE_INCLUDE_CURRENT_DIR ON )
-include_directories( ${Qt5Widgets_INCLUDE_DIRS} )
-include_directories( ${Qt5Network_INCLUDE_DIRS} )
-
-add_definitions( ${Qt5Widgets_DEFINITIONS} )
-
-QT5_WRAP_UI( UI ${UI_FILES} )
-QT5_WRAP_CPP( MOC ${MOC_FILES} )

=== debian/changelog ===
sirikali (1.4.0-1) unstable; urgency=medium

  * New upstream version.
    - Fixes desktop MIME type (Closes: #941456).

 -- David Steele <steele@debian.org>  Tue, 01 Oct 2019 11:12:54 -0400

sirikali (1.3.9-1) unstable; urgency=medium

  * New upstream version.

 -- David Steele <steele@debian.org>  Sat, 14 Sep 2019 10:40:01 -0400

=== debian/control ===
Source: sirikali
Section: admin
Priority: optional
Maintainer: David Steele <steele@debian.org>
Build-Depends: debhelper (>= 11),
               cmake,
               pkg-config,
               libgcrypt20-dev,
               libsecret-1-dev,
               qtbase5-dev,
               qtbase5-dev-tools,
               chrpath,
               bzip2,
Standards-Version: 4.2.1
Homepage: http://mhogomchungu.github.io/sirikali
Vcs-Git: https://github.com/davesteele/sirikali.git -b debian
Vcs-Browser: https://github.com/davesteele/sirikali

Package: sirikali
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: cryfs
Suggests: encfs, gocryptfs, ecryptfs-utils, sshfs
Description: Manage user encrypted volumes
 Sirikali provides a Qt/C++ GUI front end to cryfs,gocryptfs,securefs and encfs,
 allowing the user to create, mount, and unmount encrypted volumes.

## sirikali 1.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,18 +4,8 @@
 
 project( sirikali )
 
-set( PGR_VERSION "1.4.0" )
-
-file( WRITE ${PROJECT_BINARY_DIR}/version.h "
-#ifndef THIS_VERSION
-#define THIS_VERSION \"${PGR_VERSION}\"
-#endif
-\n
-#ifndef SIRIKALI_VERSION
-#define SIRIKALI_VERSION
-#define VERSION_STRING \"Version  : ${PGR_VERSION} (Compiled with Qt ${Qt5Core_VERSION})\\nCopyright: 2016-2019 Francis Banyikwa,mhogomchungu@gmail.com\\nLicense  : GPLv2+\"
-#endif
-\n" )
+set( PGR_VERSION "1.4.1" )
+set( COPYRIGHT_YEARS "2016-2019" )
 
 add_definitions( -Wextra -Wall -pedantic )
 
@@ -138,6 +128,17 @@
 
 pkg_check_modules( MCHUNGU_NETWORK mhogomchungu_network )
 pkg_check_modules( MCHUNGU_TASK mhogomchungu_task )
+
+file( WRITE ${PROJECT_BINARY_DIR}/version.h "
+#ifndef THIS_VERSION
+#define THIS_VERSION \"${PGR_VERSION}\"
+#endif
+\n
+#ifndef SIRIKALI_VERSION
+#define SIRIKALI_VERSION
+#define VERSION_STRING \"Version  : ${PGR_VERSION} (Compiled with Qt ${Qt5Core_VERSION})\\nCopyright: ${COPYRIGHT_YEARS} Francis Banyikwa,mhogomchungu@gmail.com\\nLicense  : GPLv2+\"
+#endif
+\n" )
 
 if( INTERNAL_LXQT_WALLET )
 
@@ -323,13 +324,14 @@
 		src/engines/securefscreateoptions.cpp
 		src/engines/encfscreateoptions.cpp
 		src/engines/cryfscreateoptions.cpp
+		src/engines/fscrypt.cpp
 )
 
 if( APPLE )
 
 	SET( MACOSX_BUNDLE_INFO_PLIST "${CMAKE_CURRENT_SOURCE_DIR}/src/MacOSXBundleInfo.plist.in" )
 	SET( MACOSX_BUNDLE_BUNDLE_NAME "SiriKali" )
-	SET( MACOSX_BUNDLE_COPYRIGHT "(c)2016-2018,Francis Banyikwa,mhogomchungu@gmail.com" )
+	SET( MACOSX_BUNDLE_COPYRIGHT "(c)${COPYRIGHT_YEARS},Francis Banyikwa,mhogomchungu@gmail.com" )
 	SET( MACOSX_BUNDLE_BUNDLE_VERSION "${PGR_VERSION}" )
 	SET( MACOSX_BUNDLE_GUI_IDENTIFIER "com.crypto.SiriKali" )
 	SET( MACOSX_BUNDLE_SHORT_VERSION_STRING "${PGR_VERSION}" )
@@ -337,6 +339,3 @@
 	SET( MACOSX_BUNDLE_ICON_FILE sirikali.icns )
 	SET_SOURCE_FILES_PROPERTIES( icons/256x256/sirikali.icns PROPERTIES MACOSX_PACKAGE_LOCATION Resources )
 	SET_SOURCE_FILES_PROPERTIES( translations/en_US.qm PROPERTIES MACOSX_PACKAGE_LOCATION Resources )
-	SET_SOURCE_FILES_PROPERTIES( translations/fr_FR.qm PROPERTIES MACOSX_PACKAGE_LOCATION Resources )
-endif()
-

=== src/3rdParty/tasks/CMakeLists.txt ===
cmake_minimum_required( VERSION 3.0 )

project( mhogomchungu_task )

set( LIB_VERSION "1.2.3" )
set( SO_VERSION "1.0.0" )

add_definitions( -Wextra -Wall -pedantic -std=c++11 )

set( CMAKE_CXX_STANDARD 11 )
set( CMAKE_CXX_STANDARD_REQUIRED ON )
set( CMAKE_CXX_EXTENSIONS OFF)

INCLUDE( GNUInstallDirs )

INCLUDE( CMakeDependentOption )

find_package( Qt5Core REQUIRED )

QT5_WRAP_CPP( MOC_LIBRARY task.hpp )

include_directories( ${Qt5Core_INCLUDE_DIRS} )

if( MCHUNGU_TASK_INSTALL )
	add_library( mhogomchungu_task SHARED ${MOC_LIBRARY} )
	set_target_properties(mhogomchungu_task PROPERTIES SOVERSION "${SO_VERSION}")
else()
	add_library( mhogomchungu_task STATIC ${MOC_LIBRARY} )
endif()

target_link_libraries( mhogomchungu_task ${Qt5Core_LIBRARIES} )

if( WIN32 )
	set_target_properties( mhogomchungu_task PROPERTIES COMPILE_FLAGS "-Wextra -Wall -s -pedantic " )
else()
	set_target_properties( mhogomchungu_task PROPERTIES COMPILE_FLAGS "-Wextra -Wall -s -fPIC -pedantic " )
endif()

if( MCHUNGU_TASK_DEBUG )
	QT5_WRAP_CPP( MOC_EXE example.h )
	add_executable( example example.cpp main.cpp ${MOC_EXE} )
	target_link_libraries( example mhogomchungu_task )
endif()

file( WRITE ${PROJECT_BINARY_DIR}/mhogomchungu_task.pc
"prefix=${CMAKE_INSTALL_PREFIX}
libdir=${CMAKE_INSTALL_FULL_LIBDIR}
includedir=${CMAKE_INSTALL_FULL_INCLUDEDIR}/mhogomchungu

Name: mhogomchungu_task
Description: A Qt5 library that offers task based programming using modern C++
Version: ${LIB_VERSION}
Libs: -L${CMAKE_INSTALL_FULL_LIBDIR} -l${Qt5Core_LIBRARIES}
Cflags: -I${CMAKE_INSTALL_FULL_INCLUDEDIR}/mhogomchungu
\n")

if( MCHUNGU_TASK_INSTALL )
	install( FILES ${PROJECT_BINARY_DIR}/mhogomchungu_task.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig/ PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ )
	install( FILES task.hpp DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/mhogomchungu )
	install( TARGETS mhogomchungu_task LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR} )
endif()

# uninstall target
configure_file(
	"${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
	"${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
	IMMEDIATE @ONLY )

add_custom_target( uninstall
COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake )

=== debian/changelog ===
sirikali (1.4.1-2) unstable; urgency=medium

  * Fix build for duplicate man page installs.Z

 -- David Steele <steele@debian.org>  Wed, 30 Oct 2019 21:15:40 -0400

sirikali (1.4.1-1) unstable; urgency=medium

  * New upstream version.

 -- David Steele <steele@debian.org>  Sat, 26 Oct 2019 22:47:39 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: David Steele <steele@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 11~),
                cmake,
                pkg-config,
                libgcrypt20-dev,

## sirikali 1.4.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 project( sirikali )
 
-set( PGR_VERSION "1.4.1" )
+set( PGR_VERSION "1.4.2" )
 set( COPYRIGHT_YEARS "2016-2019" )
 
 add_definitions( -Wextra -Wall -pedantic )

=== src/siripolkit/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

add_definitions( -D_FILE_OFFSET_BITS=64 -Wextra -Wall -pedantic -std=c++14 -I${PROJECT_BINARY_DIR}/siripoltik/ )
include_directories( ${PROJECT_BINARY_DIR}/siripoltik/ )

set( CMAKE_CXX_STANDARD 14 )
set( CMAKE_CXX_STANDARD_REQUIRED ON )
set( CMAKE_CXX_EXTENSIONS OFF)

set( sirikali.pkexecMOC_FILES
	zulupolkit.h
 )

set( sirikali.pkexecSRC
	main.cpp
	zulupolkit.cpp
)

if( QT5 )
	find_package( Qt5Core REQUIRED )
	find_package( Qt5Network REQUIRED )

	Qt5_WRAP_CPP( sirikali.pkexecMOC ${sirikali.pkexecMOC_FILES} )
else()
	find_package( Qt4 REQUIRED QtCore QtNetwork )

	add_definitions( -I${Qt4_INCLUDE_DIR} )
	add_definitions( -I${QT_HEADERS_DIR} )

	INCLUDE( ${QT_USE_FILE} )
	Qt4_WRAP_CPP( sirikali.pkexecMOC ${sirikali.pkexecMOC_FILES} )
endif()

INCLUDE_DIRECTORIES( ${CMAKE_BINARY_DIR} )

add_executable( sirikali.pkexec ${sirikali.pkexecMOC} ${sirikali.pkexecSRC} )

#set_target_properties( sirikali.pkexec PROPERTIES INSTALL_RPATH "${CMAKE_INSTALL_FULL_LIBDIR}" )

set_target_properties( sirikali.pkexec PROPERTIES COMPILE_FLAGS "-D_FILE_OFFSET_BITS=64 -Wextra -Wall -s -fPIC -pedantic" )

if( QT5 )
	target_link_libraries( sirikali.pkexec ${Qt5Core_LIBRARIES} ${Qt5Network_LIBRARIES} mhogomchungu_task )
else()
	target_link_libraries( sirikali.pkexec ${QT_LIBRARIES} ${QT_NETWORK} mhogomchungu_task )
endif()

install( TARGETS sirikali.pkexec RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR} )

=== src/3rdParty/lxqt_wallet/CMakeLists.txt ===
cmake_minimum_required( VERSION 2.6 )

find_package( PkgConfig )

if( WIN32 )
    add_library( lxqt-wallet-backend STATIC backend/fake_wallet_backend.c )

    set_target_properties( lxqt-wallet-backend PROPERTIES COMPILE_FLAGS "-Wall -s -pedantic" )
else()
    add_subdirectory( backend )
endif()

add_subdirectory( frontend )

=== src/3rdParty/lxqt_wallet/frontend/CMakeLists.txt ===

cmake_minimum_required(VERSION 2.6)

if( WIN32 )
     cmake_policy(SET CMP0020 NEW)
endif()

INCLUDE(FindPkgConfig)

#
# set below variable to "false" if you want to build a static library
#
set(BUILD_SHARED "false")

set(LIBRARY_VERSION "2.0.0")

add_definitions(-I${PROJECT_BINARY_DIR}/frontend)
add_definitions(-I${PROJECT_BINARY_DIR}/backend)
add_definitions(-I${PROJECT_BINARY_DIR}/src/lxqt_wallet/frontend)
add_definitions(-I${PROJECT_BINARY_DIR}/src/lxqt_wallet/backend)
add_definitions(-I${PROJECT_BINARY_DIR})

INCLUDE_DIRECTORIES(${CMAKE_BINARY_DIR})
INCLUDE_DIRECTORIES(${CMAKE_BINARY_DIR})

if( APPLE )
	file( WRITE ${PROJECT_BINARY_DIR}/osx_keychain.h "#define OSX_KEYCHAIN 1" )
else()
	file( WRITE ${PROJECT_BINARY_DIR}/osx_keychain.h "#define OSX_KEYCHAIN 0" )
endif()

if(QT5)
	find_package(Qt5Widgets REQUIRED)
	find_package(Qt5Core REQUIRED)
	find_package(Qt5DBus REQUIRED)

	set(CMAKE_INCLUDE_CURRENT_DIR ON)
	include_directories(${Qt5Widgets_INCLUDE_DIRS})

	add_definitions(${Qt5Widgets_DEFINITIONS})

	set( KF5 "true" )
else()
	find_package(Qt4 REQUIRED)

	SET(QT_USE_QTCORE TRUE)
	SET(QT_USE_QTGUI TRUE)

	add_definitions(-I${Qt4_INCLUDE_DIR})
	add_definitions(-I${QT_HEADERS_DIR})

	INCLUDE(${QT_USE_FILE})

	INCLUDE(${QT_USE_FILE})
endif()

if(NOSECRETSUPPORT)
	SET(SECRET_SUPPORT "false")
	file(WRITE  ${PROJECT_BINARY_DIR}/storage_manager.h "\n#define HAS_SECRET_SUPPORT 0\n")
else()
	pkg_check_modules(LIBSECRET libsecret-1)

	if(LIBSECRET_FOUND)
		add_subdirectory(libsecret)
		SET(SECRET_SUPPORT "true")
		file(WRITE  ${PROJECT_BINARY_DIR}/storage_manager.h "\n#define HAS_SECRET_SUPPORT 1\n")
	else()
		SET(SECRET_SUPPORT "false")
		file(WRITE  ${PROJECT_BINARY_DIR}/storage_manager.h "\n#define HAS_SECRET_SUPPORT 0\n")
	endif()
endif()

add_definitions(-std=c++11)

if(NOKDESUPPORT)
	SET(KDE_SUPPORT "false")
	SET(KWALLET_SUPPORT "false")
	file(APPEND  ${PROJECT_BINARY_DIR}/storage_manager.h "\n#define HAS_KWALLET_SUPPORT 0\n")
else()
	if(KF5)
		find_package(Qt5Widgets REQUIRED)
		find_package(Qt5Core REQUIRED)

		find_package(KF5Wallet QUIET)
		find_package(KF5Notifications QUIET)

		if(KF5Wallet_FOUND AND KF5Notifications_FOUND )
			file(APPEND  ${PROJECT_BINARY_DIR}/storage_manager.h "\n#define HAS_KWALLET_SUPPORT 1\n")
			SET(KDE_SUPPORT "true")
			SET(KWALLET_SUPPORT "true")
		else()
			file(APPEND  ${PROJECT_BINARY_DIR}/storage_manager.h "\n#define HAS_KWALLET_SUPPORT 0\n")
			SET(KDE_SUPPORT "false")
			SET(KWALLET_SUPPORT "false")
		endif()
	else()
		find_package(KDE4 QUIET)
		if(KDE4_FOUND)
			include(KDE4Defaults)
			include_directories(${KDE4_INCLUDES})
			add_definitions(-I${KDE4_INCLUDE_DIR})

			add_definitions(-I${Qt4_INCLUDE_DIR})
			add_definitions(-I${QT_HEADERS_DIR})

			SET(KDE_SUPPORT "true")

			if(NOKWALLETSUPPORT)
				SET(KWALLET_SUPPORT "false")
				file(APPEND  ${PROJECT_BINARY_DIR}/storage_manager.h "\n#define HAS_KWALLET_SUPPORT 0\n")
			else()
				find_library(LIBKWALLETBACKEND libkwalletbackend.so)
				if(NOT LIBKWALLETBACKEND)
					# some distributions do not have libkwalletbackend.so for reasons i currently do not know
					# look for libkwalletbackend.sp.4 when the above happen
					find_library(LIBKWALLETBACKEND libkwalletbackend.so.4)
					if(NOT LIBKWALLETBACKEND)
						file(APPEND  ${PROJECT_BINARY_DIR}/storage_manager.h "\n#define HAS_KWALLET_SUPPORT 0\n")
						SET(KWALLET_SUPPORT "false")
					else()
						SET(KWALLET_SUPPORT "true")
						file(APPEND  ${PROJECT_BINARY_DIR}/storage_manager.h "\n#define HAS_KWALLET_SUPPORT 1\n")
					endif()
				else()
					SET(KWALLET_SUPPORT "true")
					file(APPEND  ${PROJECT_BINARY_DIR}/storage_manager.h "\n#define HAS_KWALLET_SUPPORT 1\n")
				endif()
			endif()

			find_library(LIBKDEUI libkdeui.so)
			if(NOT LIBKDEUI)
				# adding this one just in case the same case as above happen
				find_library(LIBKDEUI libkdeui.so.5)
			endif()

			if(NOT LIBKDEUI)
				SET(KDE_SUPPORT "false")
				message(STATUS "could not find libkdeui.so or libkdeui.so.5,please make sure you have kde development libraries installed and try again")
			endif()

			find_library(LIBKDECORE libkdecore.so)
			if(NOT LIBKDECORE)
				# adding this one just in case the same case as above happen
				find_library(LIBKDECORE libkdecore.so.5)
			endif()

			if(NOT LIBKDECORE)
				SET(KDE_SUPPORT "false")
				message(STATUS "could not find libkdecore.so or libkdecore.so.5,please make sure you have kde development libraries installed and try again")
			endif()
		else()
			file(APPEND  ${PROJECT_BINARY_DIR}/storage_manager.h "\n#define HAS_KWALLET_SUPPORT 0\n")
			SET(KDE_SUPPORT "false")
			SET(KWALLET_SUPPORT "false")
		endif()
	endif()

endif()

if(KWALLET_SUPPORT)
	message(STATUS "\n--------------------------------------------------------------------------")
	message(STATUS "kwallet support found,will build kwallet functionality")
	message(STATUS "-----------------------------------------------------------------------")
else()
	message(STATUS "\n--------------------------------------------------------------------------")
	message(STATUS "kwallet support NOT found,will not build kwallet functionality")
	message(STATUS "-----------------------------------------------------------------------")
endif()

if(SECRET_SUPPORT)
	message(STATUS "\n--------------------------------------------------------------------------")
	message(STATUS "libsecret support found,will build libsecret functionality")
	message(STATUS "-----------------------------------------------------------------------")
else()
	message(STATUS "\n--------------------------------------------------------------------------")
	message(STATUS "libsecret support NOT found,will not build libsecret functionality")
	message(STATUS "-----------------------------------------------------------------------")
endif()

set(UI_FILES 	changepassworddialog.ui password_dialog.ui)

set(MOC_FILES 	changepassworddialog.h password_dialog.h task.h)
set(MOC_FILES_1 changepassworddialog.h password_dialog.h lxqt_kwallet.h task.h)
set(MOC_FILES_2 changepassworddialog.h password_dialog.h lxqt_kwallet.h task.h)
set(MOC_FILES_3 changepassworddialog.h password_dialog.h task.h)

set(SRC 	lxqt_osx_keychain.cpp changepassworddialog.cpp password_dialog.cpp lxqt_internal_wallet.cpp lxqt_wallet.cpp)
set(SRC_1 	lxqt_osx_keychain.cpp changepassworddialog.cpp password_dialog.cpp lxqt_internal_wallet.cpp lxqt_wallet.cpp lxqt_kwallet.cpp)
set(SRC_2 	lxqt_osx_keychain.cpp changepassworddialog.cpp password_dialog.cpp lxqt_internal_wallet.cpp lxqt_wallet.cpp lxqt_kwallet.cpp lxqt_libsecret.cpp)
set(SRC_3 	lxqt_osx_keychain.cpp changepassworddialog.cpp password_dialog.cpp lxqt_internal_wallet.cpp lxqt_wallet.cpp lxqt_libsecret.cpp)

if(BUILD_SHARED)
	set( LIBRARY_TYPE "SHARED")
else()
	set( LIBRARY_TYPE "STATIC")
endif()

if(QT5)

Qt5_WRAP_UI(UI ${UI_FILES})

if(KDE_SUPPORT)
	if(KWALLET_SUPPORT)
		if(SECRET_SUPPORT)
			Qt5_WRAP_CPP(MOC ${MOC_FILES_2})
			add_library(lxqt-wallet ${LIBRARY_TYPE} ${UI} ${SRC_2} ${MOC})
			target_link_libraries(lxqt-wallet secretlib)
			target_link_libraries(lxqt-wallet "${Qt5Widgets_LIBRARIES}")
			target_link_libraries(lxqt-wallet "${Qt5Core_LIBRARIES}")
			target_link_libraries(lxqt-wallet KF5::Wallet KF5::Notifications)
		else()
			Qt5_WRAP_CPP(MOC ${MOC_FILES_1})
			add_library(lxqt-wallet ${LIBRARY_TYPE} ${UI} ${SRC_1} ${MOC})
			target_link_libraries(lxqt-wallet "${Qt5Widgets_LIBRARIES}")
			target_link_libraries(lxqt-wallet "${Qt5Core_LIBRARIES}")
			target_link_libraries(lxqt-wallet KF5::Wallet KF5::Notifications)
		endif()
	else()
		if(SECRET_SUPPORT)
			Qt5_WRAP_CPP(MOC ${MOC_FILES_3})
			add_library(lxqt-wallet ${LIBRARY_TYPE} ${UI} ${SRC_3} ${MOC})
			target_link_libraries(lxqt-wallet secretlib)
			target_link_libraries(lxqt-wallet "${Qt5Widgets_LIBRARIES}")
			target_link_libraries(lxqt-wallet "${QtCore_LIBRARIES}")
		else()
			Qt5_WRAP_CPP(MOC ${MOC_FILES})
			add_library(lxqt-wallet ${LIBRARY_TYPE} ${UI} ${SRC} ${MOC})
			target_link_libraries(lxqt-wallet "${Qt5Widgets_LIBRARIES}")
			target_link_libraries(lxqt-wallet "${QtCore_LIBRARIES}")
			target_link_libraries(lxqt-wallet "${LIBKDEUI}")
			target_link_libraries(lxqt-wallet "${LIBKDECORE}")
		endif()
	endif()
else()
	if(SECRET_SUPPORT)
		Qt5_WRAP_CPP(MOC ${MOC_FILES_3})
		add_library(lxqt-wallet ${LIBRARY_TYPE} ${UI} ${SRC_3} ${MOC})
		target_link_libraries(lxqt-wallet secretlib)
		target_link_libraries(lxqt-wallet "${Qt5Widgets_LIBRARIES}")
		target_link_libraries(lxqt-wallet "${QtCore_LIBRARIES}")
	else()
		Qt5_WRAP_CPP(MOC ${MOC_FILES})
		add_library(lxqt-wallet ${LIBRARY_TYPE} ${UI} ${SRC} ${MOC})
		target_link_libraries(lxqt-wallet "${Qt5Widgets_LIBRARIES}")
		target_link_libraries(lxqt-wallet "${QtCore_LIBRARIES}")
	endif()
endif()

else()

Qt4_WRAP_UI(UI ${UI_FILES})

if(KDE_SUPPORT)
	if(KWALLET_SUPPORT)
		if(SECRET_SUPPORT)
			Qt4_WRAP_CPP(MOC ${MOC_FILES_2})
			add_library(lxqt-wallet ${LIBRARY_TYPE} ${UI} ${SRC_2} ${MOC})
			target_link_libraries(lxqt-wallet secretlib)
			set(link_libraries "-L${KDE4_LIB_DIR} -L${QT_LIBRARY_DIR} ${LIBKDEUI} ${LIBKDECORE} ${LIBKWALLETBACKEND}")
		else()
			Qt4_WRAP_CPP(MOC ${MOC_FILES_1})
			add_library(lxqt-wallet ${LIBRARY_TYPE} ${UI} ${SRC_1} ${MOC})
			set(link_libraries "-L${KDE4_LIB_DIR} -L${QT_LIBRARY_DIR} ${LIBKDEUI} ${LIBKDECORE} ${LIBKWALLETBACKEND}")
		endif()
	else()
		if(SECRET_SUPPORT)
			Qt4_WRAP_CPP(MOC ${MOC_FILES_3})
			add_library(lxqt-wallet ${LIBRARY_TYPE} ${UI} ${SRC_3} ${MOC})
			target_link_libraries(lxqt-wallet secretlib)
			set(link_libraries "-L${KDE4_LIB_DIR} -L${QT_LIBRARY_DIR}")
		else()
			Qt4_WRAP_CPP(MOC ${MOC_FILES})
			add_library(lxqt-wallet ${LIBRARY_TYPE} ${UI} ${SRC} ${MOC})
			set(link_libraries "-L${KDE4_LIB_DIR} -L${QT_LIBRARY_DIR} ${LIBKDEUI} ${LIBKDECORE}")
		endif()

	endif()
else()
	if(SECRET_SUPPORT)
		Qt4_WRAP_CPP(MOC ${MOC_FILES_3})
		add_library(lxqt-wallet ${LIBRARY_TYPE} ${UI} ${SRC_3} ${MOC})
		target_link_libraries(lxqt-wallet secretlib)
		set(link_libraries "-L${KDE4_LIB_DIR} -L${QT_LIBRARY_DIR}")
	else()
		Qt4_WRAP_CPP(MOC ${MOC_FILES})
		add_library(lxqt-wallet ${LIBRARY_TYPE} ${UI} ${SRC} ${MOC})
	endif()
endif()

endif()

if( WIN32 )
    set_target_properties(lxqt-wallet PROPERTIES COMPILE_FLAGS "-Wextra -Wall -s -pedantic ")
else()
    set_target_properties(lxqt-wallet PROPERTIES COMPILE_FLAGS "-Wextra -Wall -s -fPIC -pedantic ")
endif()


set_target_properties(lxqt-wallet PROPERTIES SOVERSION "${LIBRARY_VERSION}")
TARGET_LINK_LIBRARIES(lxqt-wallet "${link_libraries}" lxqt-wallet-backend)

if( APPLE )
	find_library(COREFOUNDATION_LIBRARY CoreFoundation REQUIRED)
	find_library(SECURITY_LIBRARY Security REQUIRED)
	TARGET_LINK_LIBRARIES(lxqt-wallet ${COREFOUNDATION_LIBRARY} ${SECURITY_LIBRARY})
endif()

if(BUILD_SHARED)
	install(TARGETS lxqt-wallet RUNTIME LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}")

	install(FILES lxqt_wallet.h DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/lxqt")

	file( WRITE ${PROJECT_BINARY_DIR}/lxqt-wallet.pc
"prefix=${CMAKE_INSTALL_PREFIX}
exec_prefix=${CMAKE_INSTALL_PREFIX}
libdir=${CMAKE_INSTALL_FULL_LIBDIR}
includedir=${CMAKE_INSTALL_FULL_INCLUDEDIR}/lxqt

Name: lxqt_wallet
Description: lxqt secure storage system
Version: ${LIBRARY_VERSION}
Libs: -L${CMAKE_INSTALL_FULL_LIBDIR} -lQtGui -lQtCore -lgcrypt
Cflags: -I${CMAKE_INSTALL_FULL_INCLUDEDIR}/lxqt
\n")

	install(FILES ${PROJECT_BINARY_DIR}/lxqt-wallet.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig/ PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ )
endif()

=== src/3rdParty/lxqt_wallet/frontend/libsecret/CMakeLists.txt ===

cmake_minimum_required(VERSION 2.6)

include_directories( ${LIBSECRET_INCLUDE_DIRS} )
link_directories( ${LIBSECRET_LIBDIR} )
add_definitions( -I${LIBSECRET_INCLUDEDIR} )

set( SECRETSERVICE_LIBRARY "secretlib" )
add_library( secretlib STATIC ../libsecret.c )
target_link_libraries( secretlib ${LIBSECRET_LIBRARIES} -L${LIBSECRET_LIBDIR} )
set_target_properties( secretlib PROPERTIES COMPILE_FLAGS "-D_FILE_OFFSET_BITS=64 -Wextra -Wall -s -fPIC -pedantic" )

=== debian/changelog ===
sirikali (1.4.2-2) unstable; urgency=medium

  * Force retry of the failed mipsel build.

 -- David Steele <steele@debian.org>  Sat, 15 Feb 2020 19:41:49 -0500

sirikali (1.4.2-1) unstable; urgency=medium

  * New upstream version.
    - There is a breaking change for passwords which were not valid
      latin-1 strings.

 -- David Steele <steele@debian.org>  Wed, 25 Dec 2019 22:15:47 -0500

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

opts=pgpsigurlmangle=s/$/.asc/,dversionmangle=s/\+dfsg1//,repacksuffix=+dfsg1 \
https://github.com/mhogomchungu/sirikali/releases /download/.+/SiriKali-(.*)\.tar\.xz

## sirikali 1.4.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,8 +4,8 @@
 
 project( sirikali )
 
-set( PGR_VERSION "1.4.2" )
-set( COPYRIGHT_YEARS "2016-2019" )
+set( PGR_VERSION "1.4.3" )
+set( COPYRIGHT_YEARS "2016-2020" )
 
 add_definitions( -Wextra -Wall -pedantic )
 
@@ -118,13 +118,26 @@
     endif()
 endif()
 
-find_package( Qt5Widgets REQUIRED )
-find_package( Qt5Core REQUIRED )
-find_package( Qt5Network REQUIRED )
-
-message( STATUS "Found Qt5Widgets, version  ${Qt5Widgets_VERSION}" )
-message( STATUS "Found Qt5Core, version  ${Qt5Core_VERSION}" )
-message( STATUS "Found Qt5Network, version  ${Qt5Network_VERSION}" )
+if( UNIX AND NOT APPLE )
+
+	find_package( Qt5Widgets REQUIRED )
+	find_package( Qt5Core REQUIRED )
+	find_package( Qt5Network REQUIRED )
+	find_package( Qt5DBus REQUIRED )
+
+	message( STATUS "Found Qt5Widgets, version  ${Qt5Widgets_VERSION}" )
+	message( STATUS "Found Qt5Core, version  ${Qt5Core_VERSION}" )
+	message( STATUS "Found Qt5Network, version  ${Qt5Network_VERSION}" )
+	message( STATUS "Found Qt5DBus, version  ${Qt5DBus_VERSION}" )
+else()
+	find_package( Qt5Widgets REQUIRED )
+	find_package( Qt5Core REQUIRED )
+	find_package( Qt5Network REQUIRED )
+
+	message( STATUS "Found Qt5Widgets, version  ${Qt5Widgets_VERSION}" )
+	message( STATUS "Found Qt5Core, version  ${Qt5Core_VERSION}" )
+	message( STATUS "Found Qt5Network, version  ${Qt5Network_VERSION}" )
+endif()
 
 pkg_check_modules( MCHUNGU_NETWORK mhogomchungu_network )
 pkg_check_modules( MCHUNGU_TASK mhogomchungu_task )
@@ -241,6 +254,7 @@
 		src/debugwindow.ui
 		src/configfileoption.ui
 		src/configoptions.ui
+		src/checkforupdateswindow.ui
 		src/engines/customcreateoptions.ui
 		src/engines/gocryptfscreateoptions.ui
 		src/engines/ecryptfscreateoptions.ui
@@ -270,6 +284,7 @@
 		src/mountinfo.h
 		src/debugwindow.h
 		src/runinthread.h
+		src/checkforupdateswindow.h
 		src/engines/customcreateoptions.h
 		src/engines/gocryptfscreateoptions.h
 		src/engines/ecryptfscreateoptions.h
@@ -287,6 +302,7 @@
 		src/configoptions.cpp
 		src/configfileoption.cpp
 		src/sirikali.cpp
+		src/checkforupdateswindow.cpp
 		src/keydialog.cpp
 		src/siritask.cpp
 		src/help.cpp
@@ -331,11 +347,3 @@
 
 	SET( MACOSX_BUNDLE_INFO_PLIST "${CMAKE_CURRENT_SOURCE_DIR}/src/MacOSXBundleInfo.plist.in" )
 	SET( MACOSX_BUNDLE_BUNDLE_NAME "SiriKali" )
-	SET( MACOSX_BUNDLE_COPYRIGHT "(c)${COPYRIGHT_YEARS},Francis Banyikwa,mhogomchungu@gmail.com" )
-	SET( MACOSX_BUNDLE_BUNDLE_VERSION "${PGR_VERSION}" )
-	SET( MACOSX_BUNDLE_GUI_IDENTIFIER "com.crypto.SiriKali" )
-	SET( MACOSX_BUNDLE_SHORT_VERSION_STRING "${PGR_VERSION}" )
-	SET( MACOSX_BUNDLE_LONG_VERSION_STRING "${PGR_VERSION}" )
-	SET( MACOSX_BUNDLE_ICON_FILE sirikali.icns )
-	SET_SOURCE_FILES_PROPERTIES( icons/256x256/sirikali.icns PROPERTIES MACOSX_PACKAGE_LOCATION Resources )
-	SET_SOURCE_FILES_PROPERTIES( translations/en_US.qm PROPERTIES MACOSX_PACKAGE_LOCATION Resources )

=== debian/changelog ===
sirikali (1.4.3-1) unstable; urgency=medium

  * New upstream version.

 -- David Steele <steele@debian.org>  Sun, 05 Apr 2020 16:48:19 -0400

## sirikali 1.4.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 project( sirikali )
 
-set( PGR_VERSION "1.4.3" )
+set( PGR_VERSION "1.4.4" )
 set( COPYRIGHT_YEARS "2016-2020" )
 
 add_definitions( -Wextra -Wall -pedantic )
@@ -245,9 +245,6 @@
 		src/createbackendwindow.ui
 		src/favorites2.ui
 		src/readonlywarning.ui
-		src/walletconfig.ui
-		src/walletconfiginput.ui
-		src/options.ui
 		src/dialogok.ui
 		src/help.ui
 		src/filemanager.ui
@@ -255,21 +252,23 @@
 		src/configfileoption.ui
 		src/configoptions.ui
 		src/checkforupdateswindow.ui
+		src/engines/options.ui
 		src/engines/customcreateoptions.ui
 		src/engines/gocryptfscreateoptions.ui
 		src/engines/ecryptfscreateoptions.ui
 		src/engines/securefscreateoptions.ui
 		src/engines/encfscreateoptions.ui
 		src/engines/cryfscreateoptions.ui
+		src/engines/fscryptcreateoptions.ui
 )
 
 set( MOC_FILES
-                src/configoptions.h
-                src/configfileoption.h
-                src/checkforupdates.h
-                src/dialogok.h
-                src/help.h
-                src/createbackendwindow.h
+		src/configoptions.h
+		src/configfileoption.h
+		src/checkforupdates.h
+		src/dialogok.h
+		src/help.h
+		src/createbackendwindow.h
 		src/sirikali.h
 		src/keydialog.h
 		src/oneinstance.h
@@ -277,20 +276,19 @@
 		src/plugin.h
 		src/favorites2.h
 		src/readonlywarning.h
-		src/walletconfig.h
-		src/walletconfiginput.h
-		src/options.h
 		src/filemanager.h
 		src/mountinfo.h
 		src/debugwindow.h
 		src/runinthread.h
 		src/checkforupdateswindow.h
+		src/engines/options.h
 		src/engines/customcreateoptions.h
 		src/engines/gocryptfscreateoptions.h
 		src/engines/ecryptfscreateoptions.h
 		src/engines/securefscreateoptions.h
 		src/engines/encfscreateoptions.h
 		src/engines/cryfscreateoptions.h
+		src/engines/fscryptcreateoptions.h
  )
 
 set( SRC 	src/dialogok.cpp
@@ -318,14 +316,12 @@
 		src/plugin.cpp
 		src/tablewidget.cpp
 		src/readonlywarning.cpp
-		src/walletconfig.cpp
-		src/walletconfiginput.cpp
-		src/options.cpp
 		src/secrets.cpp
 		src/filemanager.cpp
 		src/utility2.cpp
-                src/win.cpp
+		src/win.cpp
 		src/settings.cpp
+		src/engines/options.cpp
 		src/engines/cryfs.cpp
 		src/engines/ecryptfs.cpp
 		src/engines/gocryptfs.cpp
@@ -341,9 +337,12 @@
 		src/engines/encfscreateoptions.cpp
 		src/engines/cryfscreateoptions.cpp
 		src/engines/fscrypt.cpp
+		src/engines/fscryptcreateoptions.cpp
 )
 
 if( APPLE )
 
 	SET( MACOSX_BUNDLE_INFO_PLIST "${CMAKE_CURRENT_SOURCE_DIR}/src/MacOSXBundleInfo.plist.in" )
 	SET( MACOSX_BUNDLE_BUNDLE_NAME "SiriKali" )
+	SET( MACOSX_BUNDLE_COPYRIGHT "(c)${COPYRIGHT_YEARS},Francis Banyikwa,mhogomchungu@gmail.com" )
+	SET( MACOSX_BUNDLE_BUNDLE_VERSION "${PGR_VERSION}" )

=== src/3rdParty/tasks/CMakeLists.txt ===
--- 
+++ 
@@ -5,9 +5,9 @@
 set( LIB_VERSION "1.2.3" )
 set( SO_VERSION "1.0.0" )
 
-add_definitions( -Wextra -Wall -pedantic -std=c++11 )
+add_definitions( -Wextra -Wall -pedantic -std=c++14 )
 
-set( CMAKE_CXX_STANDARD 11 )
+set( CMAKE_CXX_STANDARD 14 )
 set( CMAKE_CXX_STANDARD_REQUIRED ON )
 set( CMAKE_CXX_EXTENSIONS OFF)

=== src/3rdParty/lxqt_wallet/frontend/CMakeLists.txt ===
--- 
+++ 
@@ -184,10 +184,10 @@
 set(MOC_FILES_2 changepassworddialog.h password_dialog.h lxqt_kwallet.h task.h)
 set(MOC_FILES_3 changepassworddialog.h password_dialog.h task.h)
 
-set(SRC 	lxqt_osx_keychain.cpp changepassworddialog.cpp password_dialog.cpp lxqt_internal_wallet.cpp lxqt_wallet.cpp)
-set(SRC_1 	lxqt_osx_keychain.cpp changepassworddialog.cpp password_dialog.cpp lxqt_internal_wallet.cpp lxqt_wallet.cpp lxqt_kwallet.cpp)
-set(SRC_2 	lxqt_osx_keychain.cpp changepassworddialog.cpp password_dialog.cpp lxqt_internal_wallet.cpp lxqt_wallet.cpp lxqt_kwallet.cpp lxqt_libsecret.cpp)
-set(SRC_3 	lxqt_osx_keychain.cpp changepassworddialog.cpp password_dialog.cpp lxqt_internal_wallet.cpp lxqt_wallet.cpp lxqt_libsecret.cpp)
+set(SRC 	lxqt_windows_dpapi.cpp lxqt_osx_keychain.cpp changepassworddialog.cpp password_dialog.cpp lxqt_internal_wallet.cpp lxqt_wallet.cpp)
+set(SRC_1 	lxqt_windows_dpapi.cpp lxqt_osx_keychain.cpp changepassworddialog.cpp password_dialog.cpp lxqt_internal_wallet.cpp lxqt_wallet.cpp lxqt_kwallet.cpp)
+set(SRC_2 	lxqt_windows_dpapi.cpp lxqt_osx_keychain.cpp changepassworddialog.cpp password_dialog.cpp lxqt_internal_wallet.cpp lxqt_wallet.cpp lxqt_kwallet.cpp lxqt_libsecret.cpp)
+set(SRC_3 	lxqt_windows_dpapi.cpp lxqt_osx_keychain.cpp changepassworddialog.cpp password_dialog.cpp lxqt_internal_wallet.cpp lxqt_wallet.cpp lxqt_libsecret.cpp)
 
 if(BUILD_SHARED)
 	set( LIBRARY_TYPE "SHARED")
@@ -295,9 +295,15 @@
     set_target_properties(lxqt-wallet PROPERTIES COMPILE_FLAGS "-Wextra -Wall -s -fPIC -pedantic ")
 endif()
 
-
 set_target_properties(lxqt-wallet PROPERTIES SOVERSION "${LIBRARY_VERSION}")
-TARGET_LINK_LIBRARIES(lxqt-wallet "${link_libraries}" lxqt-wallet-backend)
+
+if( WIN32 )
+
+	TARGET_LINK_LIBRARIES(lxqt-wallet -lcrypt32 ${Qt5Network_LIBRARIES} "${link_libraries}" lxqt-wallet-backend)
+else()
+	TARGET_LINK_LIBRARIES(lxqt-wallet "${link_libraries}" lxqt-wallet-backend)
+endif()
+
 
 if( APPLE )
 	find_library(COREFOUNDATION_LIBRARY CoreFoundation REQUIRED)

=== debian/changelog ===
sirikali (1.4.4-1) unstable; urgency=medium

  * New upstream version.

 -- David Steele <steele@debian.org>  Sun, 07 Jun 2020 21:11:19 -0400

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 PKD = $(word 1,$(abspath $(dir $(MAKEFILE_LIST))))
 VER = $(shell (dpkg-parsechangelog -l$(PKD)/changelog | grep Version | sed 's/Version..//' | sed 's/-.\+//'))
-PRODUCT_VER = $(shell (grep version changelog | tail -1 |  sed 's/version \([0-9.]\+\).\+/\1/'))
+PRODUCT_VER = $(shell (grep -e "^\s*version" changelog | tail -1 |  sed 's/version \([0-9.]\+\).\+/\1/'))
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
